org.jbpm.executor.impl.mem

## Class InMemoryExecutorStoreService

- java.lang.Object
- - org.jbpm.executor.impl.mem.InMemoryExecutorStoreService

- All Implemented Interfaces:
    org.kie.api.executor.ExecutorStoreService

      public class InMemoryExecutorStoreService
      extends Object
      implements org.kie.api.executor.ExecutorStoreService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryExecutorStoreService(boolean active)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Runnable` | `buildExecutorRunnable()`
    `org.kie.api.executor.ErrorInfo` | `findError(Long id)`
    `org.kie.api.executor.RequestInfo` | `findRequest(Long id)`
    `org.kie.api.executor.RequestInfo` | `getAndLockFirst()`
    `Map<Long,org.kie.api.executor.ErrorInfo>` | `getErrors()`
    `Map<Long,org.kie.api.executor.RequestInfo>` | `getProcessedRequests()`
    `Map<Long,org.kie.api.executor.RequestInfo>` | `getRequests()`
    `void` | `persistError(org.kie.api.executor.ErrorInfo error)`
    `void` | `persistRequest(org.kie.api.executor.RequestInfo request)`
    `org.kie.api.executor.ErrorInfo` | `removeError(Long errorId)`
    `org.kie.api.executor.RequestInfo` | `removeRequest(Long requestId)`
    `void` | `setEventSupport(ExecutorEventSupport eventSupport)`
    `protected void` | `setId(Object object, Long id)`
    `void` | `updateError(org.kie.api.executor.ErrorInfo error)`
    `void` | `updateRequest(org.kie.api.executor.RequestInfo request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryExecutorStoreService

          public InMemoryExecutorStoreService(boolean active)

  - ### Method Detail

    - #### setEventSupport

          public void setEventSupport(ExecutorEventSupport eventSupport)

    - #### persistRequest

          public void persistRequest(org.kie.api.executor.RequestInfo request)

      Specified by:
        `persistRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### updateRequest

          public void updateRequest(org.kie.api.executor.RequestInfo request)

      Specified by:
        `updateRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### removeRequest

          public org.kie.api.executor.RequestInfo removeRequest(Long requestId)

      Specified by:
        `removeRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### findRequest

          public org.kie.api.executor.RequestInfo findRequest(Long id)

      Specified by:
        `findRequest` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### persistError

          public void persistError(org.kie.api.executor.ErrorInfo error)

      Specified by:
        `persistError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### updateError

          public void updateError(org.kie.api.executor.ErrorInfo error)

      Specified by:
        `updateError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### removeError

          public org.kie.api.executor.ErrorInfo removeError(Long errorId)

      Specified by:
        `removeError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### findError

          public org.kie.api.executor.ErrorInfo findError(Long id)

      Specified by:
        `findError` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### buildExecutorRunnable

          public Runnable buildExecutorRunnable()

      Specified by:
        `buildExecutorRunnable` in interface `org.kie.api.executor.ExecutorStoreService`

    - #### getAndLockFirst

          public org.kie.api.executor.RequestInfo getAndLockFirst()

    - #### getRequests

          public Map<Long,org.kie.api.executor.RequestInfo> getRequests()

    - #### getErrors

          public Map<Long,org.kie.api.executor.ErrorInfo> getErrors()

    - #### getProcessedRequests

          public Map<Long,org.kie.api.executor.RequestInfo> getProcessedRequests()

    - #### setId

          protected void setId(Object object,
                               Long id)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.